<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="PHARM1"/>
    <ui:define name="body">
        <h:form id="globalForm">
            <s:decorate id="messageDecoration">
                <rich:messages globalOnly="true" styleClass="message"/>
            </s:decorate>
            #{qPDManagerBean.init()}
            <s:div id="globalDiv">
                <h1>#{qPDManagerBean.getTheNameOfThePage()}</h1>
                <gri:panel id="mainPanel">
                    <f:facet name="header">#{qPDManagerBean.getTheNameOfThePage()}</f:facet>
                    <s:div
                            rendered="#{qPDManagerBean.selectedAffinityDomain!= null and qPDManagerBean.selectedTransaction!= null}">
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToCreateAValidRequ']} "/>
                        <h:outputText
                                value="#{qPDManagerBean.selectedTransaction.keyword}"/>
                        <br/>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} "/>
                        <br/>
                        <ul>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.SelectYourResponderConfigurationOrAddANewOneOnTh']} "/>
                                <h:outputLink
                                        value="/XDStarClient/configuration/common/configurations.seam"
                                        title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
                                <h:outputText value=". "/>
                            </li>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.SelectTheMessageTypeYouWantToExecute']}"/>
                            </li>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.YouCanAddOptionalMethadatasByClickingOnTheButton']}"/>
                            </li>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheRequest']} "/>
                            </li>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.ClickOnTheButtonexecuteToExecuteTheRequest']}"/>
                            </li>
                        </ul>
                    </s:div>
                    <s:div id="configurationDiv">
                        <ui:include src="/simu/header.xhtml">
                            <ui:param name="divToRerender"
                                      value="messageConfigurationDiv,messagesDiv,actionButtons"/>
                            <ui:param name="simuManager" value="#{qPDManagerBean}"/>
                            <ui:param name="diagramFile"
                                      value="/img/QPD.gif"/>
                            <ui:param name="sourceID" value=""/>
                            <ui:param name="simulatorConfigurationName"
                                      value="#{messages['net.ihe.gazelle.xdstar.MedicationDispenserPharmaceuticalAdviserSimulato']}"/>
                            <ui:param name="displaySourceId" value="#{false}"/>
                            <ui:param name="displayhomeCommunityId" value="#{false}"/>
                        </ui:include>
                        <s:div id="messageConfigurationDiv">
                            <!-- MESSAGE TYPE -->
                            <s:div id="messageTypeDiv">
                                <div class="row">
                                    <div class="col-md-3">
                                        <s:decorate id="mtDecorate" template="/layout/form/_edit.xhtml"
                                                    rendered="#{(qPDManagerBean.selectedTransaction != null) and (qPDManagerBean.selectedConfiguration != null)}">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MessageType']}
                                            </ui:define>
                                            <h:selectOneMenu value="#{qPDManagerBean.selectedMessageType}"
                                                             styleClass="form-control gzl-form-control gzl-select-text">
                                                <s:selectItems
                                                        value="#{qPDManagerBean.getListOfMessageTypesForSelectedTransaction()}"
                                                        var="mt" label="#{mt.displayAttributeName}"
                                                        noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                                                <a4j:ajax event="change"
                                                          render="messageConfigurationDiv,actionButtons"
                                                          listener="#{qPDManagerBean.initAdhocQueryByMessageType()}"/>
                                                <s:convertEntity/>
                                            </h:selectOneMenu>
                                        </s:decorate>
                                    </div>
                                </div>
                            </s:div>
                            <s:div id="messageConfigurationDivR"
                                   rendered="#{qPDManagerBean.selectedMessageType != null}">
                                <f:subview id="subview_1">
                                    <ui:include src="/rsqcommon/parameters.xhtml">
                                        <ui:param name="CommonAQManagerBean" value="#{qPDManagerBean}"/>
                                    </ui:include>
                                </f:subview>
                                <!-- RETURN TYPE -->
                                <s:div id="returnTypeDiv">
                                    <div class="row">
                                        <div class="col-md-3">

                                            <s:decorate id="rtDecorate" template="/layout/form/_edit.xhtml"
                                                        rendered="#{qPDManagerBean.selectedMessageType != null}">
                                                <ui:define name="label">
                                                    #{messages['net.ihe.gazelle.xdstar.ReturnType']}
                                                </ui:define>
                                                <h:selectOneMenu value="#{qPDManagerBean.selectedReturnType}"
                                                                 styleClass="form-control gzl-form-control gzl-select-text">
                                                    <f:selectItems
                                                            value="#{qPDManagerBean.getListOfReturnTypes()}" var="rt"
                                                            label="#{rt}"
                                                            noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect_2']}"/>
                                                </h:selectOneMenu>
                                            </s:decorate>
                                        </div>
                                    </div>
                                </s:div>
                                <!-- XUA -->
                                <f:subview id="subview_2">
                                    <ui:include src="/simu/xua.xhtml">
                                        <ui:param name="simuManager" value="#{qPDManagerBean}"/>
                                    </ui:include>
                                </f:subview>
                            </s:div>
                        </s:div>
                    </s:div>
                    <!-- send button -->
                    <s:div id="actionButtons">
                        <a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
                                           oncomplete="jq162('#previewMessagePanel').modal('show');"
                                           value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
                                           rendered="#{qPDManagerBean.selectedMessageType != null}"
                                           render="previewMessagePanel"/>
                        <a4j:commandButton id="sendButton" styleClass="gzl-btn-green"
                                           actionListener="#{qPDManagerBean.sendMessage()}"
                                           value="#{messages['net.ihe.gazelle.xdstar.Execute']}"
                                           rendered="#{qPDManagerBean.selectedMessageType != null}"
                                           render="messagesDiv"/>
                        <!-- reset button -->
                        <a4j:commandButton id="resetButton" styleClass="gzl-btn"
                                           actionListener="#{qPDManagerBean.reset()}"
                                           value="#{messages['net.ihe.gazelle.xdstar.Reset']}"
                                           render="globalDiv"/>
                    </s:div>
                </gri:panel>
                <!--  response div -->
                <br/>
                <s:div id="messagesDiv">
                    <gri:panel id="messagesPanel"
                               rendered="#{qPDManagerBean.displayResultPanel == true}">
                        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ExecutionSummary']}</f:facet>
                        #{allMessageManagerBean.listMessagesToDisplay()}
                        <f:subview id="subview_3">
                            <ui:include id="messageTable" src="/messages/messageTable.xhtml">
                                <ui:param name="messageManagerBean"
                                          value="#{allMessageManagerBean}"/>
                            </ui:include>

                        </f:subview>
                        <br/>

                        <s:div>
                            #{allMessageManagerBean.initFirstMessage()}
                            <ui:include src="/rsqcommon/respViewer.xhtml">
                                <ui:param name="resp"
                                          value="#{allMessageManagerBean.selectedAdhocQueryResponseType}"/>
                            </ui:include>
                            <br/>
                        </s:div>

                    </gri:panel>
                </s:div>
            </s:div>
        </h:form>
        <gri:popupPanel id="previewMessagePanel" styleClass="modal-lg">
            <f:facet name="header">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.MessagePreview']}"/>
            </f:facet>
            <f:facet name="footer">
                <div align="right">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#previewMessagePanel').modal('hide')"
                                       execute="@this"/>
                </div>
            </f:facet>
            <h:form>
                <s:div id="previewMessagePanelDiv"
                       rendered="#{qPDManagerBean.selectedMessageType != null}"
                       style="overflow: auto; width: 880px; height: 470px;">
                    <gdk:insert id="highlightcontent"
                                content="#{qPDManagerBean.previewMessage()}" highlight="xml"/>
                </s:div>
            </h:form>
        </gri:popupPanel>
        <f:subview id="subview_5">
            <ui:include src="/rsqcommon/aqmodalPanels.xhtml">
                <ui:param name="CommonAQManagerBean" value="#{qPDManagerBean}"/>
            </ui:include>
        </f:subview>
    </ui:define>
</ui:composition>
